﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SimpleHash
{
    class SimpleHash
    {
        static void Main(string[] args)
        {
            string input;
            int total = 0;

            System.Console.WriteLine("Enter the string you want to hash: ");
            input = System.Console.ReadLine();

            System.Console.WriteLine("\nThis hashing algorithm works by adding the value of each letter together.");
            System.Console.WriteLine("Every other letter is multiplied by ten, every third letter by 100.");
            System.Console.WriteLine("This multiplication stops after ten characters.\n");
            System.Console.WriteLine("Character\tRaw Value\tHash Value");

            char[] ic = input.ToCharArray();

            for (int i=0; i<ic.Length; i++)
            {
                int rawValue = ic[i];
                int hashValue = 0;

                if ((i % 2 == 0) && (i <= 10))
                {
                    hashValue = rawValue * 10;
                }
                else if ((i % 3 == 0) && (i <= 10))
                {
                    hashValue = rawValue * 100;
                }
                else
                {
                    hashValue = rawValue;
                }
                System.Console.WriteLine("{0}\t\t{1}\t\t{2}", ic[i], rawValue, hashValue);
                total += hashValue;
            }

            System.Console.WriteLine("\nHashed vaule = {0}", total);
        }
    }
}
